from simpleparse import generator
from TextTools import TextTools

class PythonEBNFGenerator( generator.Generator):
	def optionalgroup( self, els, genobj, negative= None, repeating=None, optional = 1, reportname=None):
		# return the result as the optional value of a group...
		return self.group ( els, genobj, negative, repeating, 1, reportname)
	